BLKID(8)

NUME
blkid - localizează/afișează atributele dispozitivului de blocuri

REZUMAT

blkid --label eticheta | --uuid uuid

blkid [--no-encoding --garbage-collect --list-one --cache-file fișier] [--output format] [--match-tag marcaj-indicator] [--match-token NUME=valoare] [device...]

blkid --probe [--offset decalaj] [--output format] [--size dimensiune] [--match-tag marcaj-indicator] [--match-types listă] [--usages listă] [--no-part-details] dispozitiv...

blkid --info [--output format] [--match-tag marcaj-indicator] dispozitiv...

DESCRIERE

Programul blkid este interfața de linie de comandă pentru a lucra cu biblioteca libblkid(3). Acesta poate determina tipul de conținut (de exemplu, sistem de fișiere sau swap) pe care îl deține un dispozitiv de blocuri și, de asemenea, atributele (marcaje, perechi NUME=valoare) din metadatele de conținut (de exemplu, câmpurile LABEL sau UUID).

Se recomandă să folosiți comand *lsblk(8)a pentru a obține informații despre dispozitivele de bloc, sau «lsblk --fs» pentru a obține o imagine de ansamblu a sistemelor de fișiere, sau* findmnt(8) pentru a căuta în sistemele de fișiere deja montate.

    lsblk(8) oferă mai multe informații, un control mai bun asupra formatelor de ieșire, este ușor de utilizat în scripturi și nu necesită permisiuni de root pentru a obține informații reale. blkid citește informații direct de la dispozitive, iar pentru utilizatorii non-root returnează informații neverificate din zona de prestocare (cache). blkid este conceput în principal pentru servicii de sistem și pentru a testa funcționalitatea libblkid(3).

Când se specifică dispozitivul, sunt afișate numai marcajele de pe acest dispozitiv. Este posibil să se specifice mai multe argumente dispozitiv în linia de comandă. Dacă nu se indică niciunul, sunt afișate toate partițiile sau dispozitivele nepartiționate care apar în /proc/partitions, dacă acestea sunt recunoscute.

blkid are două forme principale de funcționare: fie caută un dispozitiv cu o anumită pereche NUME=valoare, fie afișează perechile NUME=valoare pentru unul sau mai multe dispozitive specificate.

Din motive de securitate, blkid ignoră în tăcere toate dispozitivele în cazul în care rezultatul sondajului este ambivalent (sunt detectate mai multe sisteme de fișiere care intră în coliziune). În acest caz, modul de sondare de nivel inferior (-p) oferă mai multe informații și o stare de ieșire suplimentară. Se recomandă utilizarea wipefs(8) pentru a obține o imagine de ansamblu detaliată și pentru a șterge lucrurile învechite (șiruri magice) de pe dispozitiv.

OPȚIUNI

Argumentele dimensiunea și decalaj pot fi urmate de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”), sau sufixele KB (=1000), MB (=1000*1000) și așa mai departe pentru GB, TB, PB, EB, ZB și YB.

-c, --cache-file fișier-zonă-de-prestocare
    Citește din fișier-zonă-de-prestocare în loc să citească din fișierul de zonă de prestocare (cache) implicit (consultați secțiunea CONFIGURATION FILE pentru mai multe detalii). Dacă doriți să înceapă cu o zonă de prestocare curată (adică să nu raporteze dispozitivele scanate anterior, dar care nu sunt neapărat disponibile în acest moment), specificați /dev/null.

-d, --no-encoding
    Nu codifică caracterele care nu sunt imprimabile. Caracterele care nu sunt imprimabile sunt codificate în mod implicit prin notația ^ și M-. Rețineți că formatul de ieșire --output udev utilizează o codificare diferită care nu poate fi dezactivată.

-D, --no-part-details
    Nu afișează informațiile ( marcajele PART_ENTRY_*) din tabelul de partiții în modul de sondare de nivel scăzut.

-g, --garbage-collect
    Efectuează o trecere de colectare a gunoiului din zona de prestocare a blkid pentru a elimina dispozitivele care nu mai există.

-H, --hint configurarea
    Stabilește indicațiile de sondare. Indicațiile sunt o modalitate opțională de a forța funcțiile de sondare să verifice, de exemplu, o altă locație. În prezent, se acceptă „session_offset=număr” pentru a stabili poziția sesiunii pe UDF cu mai multe sesiuni.

-i, --info
    Afișează informații despre limitele de In/Ieș (aka topologie In/Ieș). Formatul de ieșire „export” este activat automat. Această opțiune poate fi utilizată împreună cu opțiunea --probe.

-k, --list-filesystems
    Listează toate sistemele de fișiere și RAID-urile cunoscute și iese.

-l, --list-one
    Caută doar un singur dispozitiv care corespunde parametrului de căutare specificat cu opțiunea --match-token. Dacă există mai multe dispozitive care corespund parametrului de căutare specificat, atunci este returnat dispozitivul cu cea mai mare prioritate și/sau primul dispozitiv găsit cu o anumită prioritate (a se vedea însă nota de mai jos despre udev). Tipurile de dispozitive, în ordinea descrescătoare a priorității, sunt: Device Mapper, EVMS, LVM, MD și, în cele din urmă, dispozitive obișnuite de tip bloc. Dacă această opțiune nu este specificată, blkid va imprima toate dispozitivele care corespund parametrului de căutare.

    Această opțiune forțează blkid să utilizeze udev atunci când este folosit pentru marcajele LABEL sau UUID în --match-token. Scopul este de a oferi o ieșire în concordanță cu alte utilități (cum ar fi mount(8), etc.) pe sistemele în care aceeași etichetă este utilizată pentru mai multe dispozitive.

-L, --label eticheta
    Caută dispozitivul care utilizează acest sistem de fișiere eticheta; acest lucru este egal cu --list-one --output device --match-token LABEL=eticheta. Această metodă de căutare este capabilă să utilizeze în mod fiabil legăturile simbolice udev /dev/disk/by-label (în funcție de o configurare din /etc/blkid.conf). Evitați utilizarea directă a legăturilor simbolice; nu este fiabil să utilizați legăturile simbolice fără verificare. Opțiunea --label funcționează pe sisteme cu și fără udev.

    Din păcate, blkid(8) original din e2fsprogs folosește opțiunea -L ca sinonim pentru -o lista. Pentru o mai bună portabilitate, utilizați -l -o dispozitiv -t LABEL=eticheta_ și -o lista în scripturile dvs. mai degrabă decât opțiunea -L.

-n, --match-types listă
    Restrânge funcțiile de sondare la lista specificată (separată prin virgule) de tipuri de super-blocuri (nume). Elementele din listă pot fi prefixate cu „no” pentru a specifica tipurile care trebuie ignorate. De exemplu:

    blkid --probe --match-types vfat,ext3,ext4 /dev/sda1

    probează pentru sistemele de fișiere vfat, ext3 și ext4 și

    blkid --probe --match-types nominix /dev/sda1

    probează pentru toate formatele acceptate, cu excepția sistemelor de fișiere minix. Această opțiune este utilă numai împreună cu --probe.

-o, --output format
    Utilizează formatul de ieșire specificat. Rețineți că ordinea variabilelor și a dispozitivelor nu este fixă. A se vedea, de asemenea, opțiunea -s. Parametrul format poate fi:

    full
        afișează toate marcajele (modul implicit)

    value
        afișează valoarea și marcajele

    list
        afișează dispozitivele într-un format amiabil cu utilizatorul; acest format de ieșire nu este acceptat pentru sondarea de nivel scăzut (--probe sau --info).

        Acest format de ieșire este DEPRECIAT în favoarea comenzii lsblk(8).

    device
        afișează numai numele dispozitivului; acest format de ieșire este întotdeauna activat pentru opțiunile --label și --uuid

    udev
        afișează perechile cheie="valoare" pentru a fi ușor de importat în mediul udev; cheile sunt precedate de prefixele ID_FS_ sau ID_PART_. Valoarea poate fi modificată pentru a fi sigură pentru mediul udev; este permisă ASCII simplu, cu majuscule hexazecimale și UTF-8 valid, orice altceva (inclusiv spațiile albe) este înlocuit cu „_”. Cheile cu postfix _ENC utilizează eludarea hexazecimală pentru caracterele nesigure.

        Ieșirea udev returnează eticheta ID_FS_AMBIVALENT dacă sunt detectate mai multe superblocuri, iar etichetele ID_PART_ENTRY_* sunt întotdeauna returnate pentru toate partițiile, inclusiv pentru partițiile goale.

        Acest format de ieșire este DEPRECIAT.

    export
        afișează perechile cheie=valoare pentru a facilita importul în mediu; acest format de ieșire este activat automat atunci când sunt solicitate limitele In/Ieș (opțiunea --info).

        Caracterele care nu sunt imprimabile sunt codificate prin notația ^ și M-, iar toate caracterele potențial nesigure sunt scăpate.

    json
        Afișează intrările etichetelor în obiecte JSON.

-O, --offset poziția
    Sondează la poziția dată (utilă numai cu --probe). Această opțiune poate fi utilizată împreună cu opțiunea --info.

-p, --probe
    Trece la modul de sondare a super-blocurilor la nivel scăzut (ocolind zona de prestocare).

    Rețineți că sondarea la nivel scăzut returnează, de asemenea, informații despre tipul de tabel de partiții (eticheta PTTYPE) și despre partiții (etichetele PART_ENTRY_*). Numele etichetelor produse de sondarea de nivel scăzut se bazează pe numele utilizate intern de libblkid și pot fi diferite față de cele executate fără --probe (de exemplu PART_ENTRY_UUID= vs PARTUUID=). A se vedea, de asemenea, --no-part-details.

-s, --match-tag marcaj-indicator
    Pentru fiecare dispozitiv (specificat), se afișează numai etichetele care se potrivesc cu marcaj. Este posibil să se specifice mai multe opțiuni --match-tag. Dacă nu este specificat niciun marcaj, atunci sunt afișate toate simbolurile pentru toate dispozitivele (specificate). Pentru a reîmprospăta doar zona de prestocare (cache) fără a afișa niciun simbol, utilizați --match-tag none fără alte opțiuni.

-S, --size dimensiunea
    Suprascrie dimensiunea dispozitivului/fișierului (util numai cu --probe).

-t, --match-token NUME=valoare
    Caută dispozitive de bloc cu simboluri numite NUME care au valoarea valoare și afișează toate dispozitivele găsite. Valorile comune pentru NUME includ TYPE, LABEL și UUID. Dacă nu există dispozitive specificate pe linia de comandă, vor fi căutate toate dispozitivele de bloc; în caz contrar, sunt căutate numai dispozitivele specificate.

-u, --usages listă
    Restricționează funcțiile de sondare la lista de tipuri de „utilizare” specificate (separate prin virgule). Tipurile de utilizare acceptate sunt: „filesystem”, „raid”, „crypto” și „other”. Elementele din listă pot fi prefixate cu „no” pentru a specifica tipurile de utilizare care trebuie ignorate. De exemplu:

    blkid --probe --usages filesystem,other /dev/sda1

    probează toate sistemele de fișiere și alte formate (de exemplu, swap) și

    blkid --probe --usages noraid /dev/sda1

    probează pentru toate formatele acceptate, cu excepția RAID-urilor. Această opțiune este utilă numai împreună cu --probe.

-U, --uuid uuid
    Caută dispozitivul care utilizează acest uuid de sistem de fișiere. Pentru mai multe detalii, consultați opțiunea --label.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

În cazul în care dispozitivul specificat sau dispozitivul adresat de simbolul specificat (opțiunea --match-token) a fost găsit și este posibil să se colecteze orice informații despre dispozitiv, se returnează starea de ieșire 0. Rețineți că opțiunea --match-tag filtrează etichetele de ieșire, dar nu afectează starea de ieșire.

În cazul în care marcajul specificat nu a fost găsit sau dacă nu a putut fi identificat niciun dispozitiv (specificat) sau dacă este imposibil să se adune informații despre identificatorii sau conținutul dispozitivului, se returnează starea de ieșire 2.

În cazul erorilor de utilizare sau al altor erori, se returnează o stare de ieșire de 4.

În cazul în care a fost detectat un rezultat de sondare ambivalent prin modul de sondare de nivel scăzut (-p), se returnează o stare de ieșire de 8.

FIȘIER DE CONFIGURARE

Locația standard a fișierului de configurare /etc/blkid.conf poate fi suprascrisă de variabila de mediu BLKID_CONF. Următoarele opțiuni controlează biblioteca libblkid:

SEND_UEVENT=<yes|not>
    Trimite uevent atunci când legătura simbolică_/dev/disk/by-{label,uuid,partuuid,partlabel}/_ nu se potrivește cu LABEL, UUID, PARTUUID sau PARTLABEL de pe dispozitiv. Valoarea implicită este „yes”.

CACHE_FILE=<ruta>
    Suprascrie locația standard a fișierului zonei de prestocare (cache). Această configurație poate fi suprascrisă de variabila de mediu BLKID_FILE. Valoarea implicită este /run/blkid/blkid.tab, sau /etc/blkid.tab pe sistemele fără un director /run.

EVALUATE=<metode>
    Definește metoda (metodele) de evaluare LABEL și UUID. În prezent, biblioteca libblkid acceptă metodele „udev” și „scan”. Se pot specifica mai multe metode într-o listă separată prin virgule. Valoarea implicită este „udev,scan”. Metoda „udev” utilizează legăturile simbolice udev /dev/disk/by-*, iar metoda „scan” scanează toate dispozitivele bloc din fișierul /proc/partitions.

MEDIU

Configurarea LIBBLKID_DEBUG=all activează ieșirea de depanare.

AUTORI

blkid a fost scris de Andreas Dilger pentru libblkid și îmbunătățit de Theodore Ts’o și Karel Zak.

CONSULTAȚI ȘI

libblkid(3), findfs(8), lsblk(8), wipefs(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda blkid face parte din pachetul util-linux care poate fi descărcat de la